curl --request POST \
--url https://sandbox.api.fin.com/v2/customers/{customer_id}/business/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formation_documents": [
{
"type": "EVIDENCE_OF_DIRECTORS_AND_CONTROLLERS",
"description": "Certificate of Incorporation",
"files": [
{
"uri": "/AbAcQ4hn_0652746727637.pdf"
}
]
},
{
"type": "REGISTRATION_DOCUMENT",
"description": "Business registration doc",
"files": [
{
"uri": "/AbAcQ4hn_0652746727638.pdf"
}
]
}
],
"ownership_documents": [
{
"type": "PROOF_OF_SIGNATORY_AUTHORITY",
"description": "Shareholder Registry",
"files": [
{
"uri": "/XyZ123mn_0652746727639.pdf"
}
]
}
],
"supporting_documents": [
{
"type": "PROOF_OF_SOURCE_OF_FUNDS",
"files": [
{
"uri": "/PoAdef45_0652746727640.pdf"
}
]
},
{
"type": "PROOF_OF_ADDRESS",
"files": [
{
"uri": "/PoAdef45_0652746727641.pdf"
}
]
}
],
"tos_policies_value": "6955e70b-f9f3-4076-b1ce-5c897085dd24"
}
'{
"data": {}
}Attach formation, ownership, and supporting documents to an existing business customer. Documents are categorised into three arrays — formation_documents, ownership_documents, and supporting_documents — replacing the v1 ownership_structure / company_details / legal_presence structure.
curl --request POST \
--url https://sandbox.api.fin.com/v2/customers/{customer_id}/business/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formation_documents": [
{
"type": "EVIDENCE_OF_DIRECTORS_AND_CONTROLLERS",
"description": "Certificate of Incorporation",
"files": [
{
"uri": "/AbAcQ4hn_0652746727637.pdf"
}
]
},
{
"type": "REGISTRATION_DOCUMENT",
"description": "Business registration doc",
"files": [
{
"uri": "/AbAcQ4hn_0652746727638.pdf"
}
]
}
],
"ownership_documents": [
{
"type": "PROOF_OF_SIGNATORY_AUTHORITY",
"description": "Shareholder Registry",
"files": [
{
"uri": "/XyZ123mn_0652746727639.pdf"
}
]
}
],
"supporting_documents": [
{
"type": "PROOF_OF_SOURCE_OF_FUNDS",
"files": [
{
"uri": "/PoAdef45_0652746727640.pdf"
}
]
},
{
"type": "PROOF_OF_ADDRESS",
"files": [
{
"uri": "/PoAdef45_0652746727641.pdf"
}
]
}
],
"tos_policies_value": "6955e70b-f9f3-4076-b1ce-5c897085dd24"
}
'{
"data": {}
}POST /v1/customers/upload to obtain URIs,
then reference them here.tos_policies_value from the tos_policies_url returned by
POST /v2/customers/business and include it in this request.type values per
category and entity type.Bearer token authentication. Obtain token from /v1/oauth/token endpoint
Unique identifier for the business customer
Parsed from the tos_policies_value query parameter in the tos_policies_url returned by POST /v2/customers/business. Signifies the customer has accepted the Terms of Service.
"f11e77c6-8dc0-4d4b-a3f2-ed84c8ccfc69"
Documents proving the legal existence of the business (e.g., Certificate of Incorporation, Articles of Incorporation, Trust Agreement, Tax registration certificate).
Show child attributes
Documents proving who controls and owns the business (e.g., Shareholder Register, Org Chart, Power of Attorney, Directors Registry).
Show child attributes
Additional compliance and operational documents (e.g., Proof of Address, Proof of Source of Funds, AML Comfort Letter, Marketing Materials).
Show child attributes
Documents attached successfully
Generic response object